<?xml version="1.0" encoding="UTF-8" ?>
<testsuite tests="80" failures="0" name="org.apache.synapse.samples.framework.TestSamplesHandlerSuite" time="126.267" errors="0" skipped="0">
  <properties>
    <property name="java.runtime.name" value="OpenJDK Runtime Environment"/>
    <property name="java.vm.version" value="21.0.3+9-LTS"/>
    <property name="sun.boot.library.path" value="/build/software/java/jdk-21.0.3+9/lib"/>
    <property name="maven.multiModuleProjectDirectory" value="/home/jenkins/workspace/forked-dependencies/wso2-synapse/target/checkout"/>
    <property name="java.vm.vendor" value="Eclipse Adoptium"/>
    <property name="java.vendor.url" value="https://adoptium.net/"/>
    <property name="path.separator" value=":"/>
    <property name="guice.disable.misplaced.annotation.check" value="true"/>
    <property name="java.vm.name" value="OpenJDK 64-Bit Server VM"/>
    <property name="sun.java.launcher" value="SUN_STANDARD"/>
    <property name="user.dir" value="/home/jenkins/workspace/forked-dependencies/wso2-synapse/target/checkout"/>
    <property name="java.vm.compressedOopsMode" value="32-bit"/>
    <property name="java.vm.specification.name" value="Java Virtual Machine Specification"/>
    <property name="java.runtime.version" value="21.0.3+9-LTS"/>
    <property name="maven.wagon.http.pool" value="false"/>
    <property name="os.arch" value="amd64"/>
    <property name="java.util.Arrays.useLegacyMergeSort" value="true"/>
    <property name="java.io.tmpdir" value="/tmp"/>
    <property name="line.separator" value="
"/>
    <property name="java.vm.specification.vendor" value="Oracle Corporation"/>
    <property name="os.name" value="Linux"/>
    <property name="stderr.encoding" value="UTF-8"/>
    <property name="classworlds.conf" value="/build/software/maven/apache-maven-3.6.3/bin/m2.conf"/>
    <property name="sun.jnu.encoding" value="UTF-8"/>
    <property name="stdout.encoding" value="UTF-8"/>
    <property name="additionalparam" value="-Xdoclint:none"/>
    <property name="java.library.path" value="/usr/java/packages/lib:/usr/lib64:/lib64:/lib:/usr/lib"/>
    <property name="maven.conf" value="/build/software/maven/apache-maven-3.6.3/conf"/>
    <property name="jdk.debug" value="release"/>
    <property name="java.class.version" value="65.0"/>
    <property name="http.keepAlive" value="false"/>
    <property name="java.specification.name" value="Java Platform API Specification"/>
    <property name="sun.management.compiler" value="HotSpot 64-Bit Tiered Compilers"/>
    <property name="maven.repo.local" value="/home/jenkins/workspace/forked-dependencies/wso2-synapse/.repository"/>
    <property name="os.version" value="4.14.158-129.185.amzn2.x86_64"/>
    <property name="library.jansi.path" value="/build/software/maven/apache-maven-3.6.3/lib/jansi-native"/>
    <property name="user.home" value="/root"/>
    <property name="user.timezone" value="GMT"/>
    <property name="file.encoding" value="UTF-8"/>
    <property name="java.specification.version" value="21"/>
    <property name="java.class.path" value="/build/software/maven/apache-maven-3.6.3/boot/plexus-classworlds-2.6.0.jar"/>
    <property name="user.name" value="root"/>
    <property name="java.vm.specification.version" value="21"/>
    <property name="sun.arch.data.model" value="64"/>
    <property name="sun.java.command" value="org.codehaus.plexus.classworlds.launcher.Launcher -B -D maven.repo.local=/home/jenkins/workspace/forked-dependencies/wso2-synapse/.repository -s /tmp/release-settings9165599153749990270.xml -D additionalparam=-Xdoclint:none -D performRelease=true -P wso2-release deploy"/>
    <property name="java.home" value="/build/software/java/jdk-21.0.3+9"/>
    <property name="user.language" value="en"/>
    <property name="java.specification.vendor" value="Oracle Corporation"/>
    <property name="java.vm.info" value="mixed mode, emulated-client, sharing"/>
    <property name="org.apache.maven.global-settings" value="/build/software/maven/settings/settings.xml"/>
    <property name="java.version" value="21.0.3"/>
    <property name="native.encoding" value="UTF-8"/>
    <property name="securerandom.source" value="file:/dev/./urandom"/>
    <property name="java.vendor" value="Eclipse Adoptium"/>
    <property name="maven.home" value="/build/software/maven/apache-maven-3.6.3"/>
    <property name="file.separator" value="/"/>
    <property name="java.version.date" value="2024-04-16"/>
    <property name="java.vendor.url.bug" value="https://github.com/adoptium/adoptium-support/issues"/>
    <property name="sun.cpu.endian" value="little"/>
    <property name="sun.io.unicode.encoding" value="UnicodeLittle"/>
    <property name="java.vendor.version" value="Temurin-21.0.3+9"/>
    <property name="performRelease" value="true"/>
  </properties>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample0" name="testSynapseAsHTTPProxy" time="1.017"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample0" name="testSmartClientMode" time="0.159"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample1" name="testDumbClientMode" time="0.159"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample2" name="testCBR" time="0.146"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample3" name="testLocalEntriesReusableEndPointsSequences" time="0.141"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample4" name="testErrorHandling" time="0.197"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample5" name="testCreateFaultAndChangeDirection" time="0.205"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample6" name="testManipulatingHeadersAndFiltering" time="0.125"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample7" name="testLocalRegEntriesAndSchemaValidation" time="0.342"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample8" name="testRegistryAndXSLTMediator" time="0.257"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample9" name="testDynamicSequences" time="0.108"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample10" name="testDynamicEndPoints" time="0.146"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample11" name="testFullRegistryBasedConfig" time="0.096"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample12" name="testFireAndForget" time="5.127"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample13" name="testDualQuote" time="3.182"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample15" name="testMessageEnrichment" time="0.116"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample16" name="testDynamicStaticKeys" time="0.11"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.mediation.Sample17" name="testPayloadFactoryMediator" time="0.096"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.mediation.Sample19" name="testPayloadFactoryMediator" time="0.193"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample50" name="testRestToPox" time="0.091"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample51" name="testMTOMOptimization" time="0.122"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample51" name="testSWAOptimization" time="0.122"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample52" name="testSessionLessLB" time="0.814"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample53" name="testFailOver" time="6.376"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample54" name="testSessionFullLB" time="0.675"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample55" name="testSessionFullLBFailOver" time="3.078"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample56" name="testSmartClientMode" time="0.154"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample58" name="testStaticLB" time="4.136"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample59" name="testSessionLessLB" time="0.555"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample63" name="testOAuthConfiguredEPInvalidCredentials" time="0.319"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample63" name="testOAuthConfiguredEPWithDynamicValues" time="0.117"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample63" name="testOAuthConfiguredEPRefreshGrantType" time="0.068"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample63" name="testOAuthConfiguredEPSuccess" time="0.098"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample63" name="testOAuthConfiguredEPOAuthServerFailed" time="0.047"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample63" name="testOAuthConfiguredEPUnAuthorized" time="0.099"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample63" name="testOAuthConfiguredEPWithoutTransportHeaders" time="0.079"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample63" name="testOAuthConfiguredDynamicURLEP" time="0.09"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample63" name="testOAuthConfiguredEPWithCustomParams" time="0.115"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample63" name="testOAuthConfiguredEPPasswordGrantType" time="0.101"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample64" name="testDefaultEndpointWithToHeader" time="0.111"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample64" name="testDefaultEndpointWithToHeaderSetToAnonymous" time="0.107"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.proxy.Sample150" name="testBasicProxy" time="0.156"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.proxy.Sample151" name="testCustomSequencesEndpointsWithProxy" time="0.149"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.proxy.Sample152" name="testTransportAndFormatSwitching" time="0.251"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.proxy.Sample154" name="testSessionFullLB" time="0.639"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.proxy.Sample157" name="testRoutingOnHttpHeader" time="0.167"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.proxy.Sample161" name="testRespondMediator" time="0.07"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.transport.Sample250" name="testPlaceOrder" time="5.385"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.transport.Sample251" name="testPlaceOrder" time="19.145"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample252" name="testPlaceOrderTypeText" time="9.562"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample252" name="testPlaceOrderTypePOX" time="9.138"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample253" name="testPlaceOrder" time="8.105"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample264" name="testTwoWayMessagesWithJMS" time="11.162"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.transport.Sample268" name="testLocalTransport" time="5.099"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.tasks.Sample300" name="testScheduledTask" time="10.109"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample350" name="testScriptMediationWithJS" time="0.178"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample351" name="testScriptMediationInLineJS" time="0.168"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample352" name="testAccessingAPIUsingScripting" time="0.116"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample360" name="testDbLookup" time="3.527"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample361" name="testDbReport" time="2.824"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample362" name="testDbLookupReport" time="2.765"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.mediation.Sample363" name="testReusableConnectionPools" time="2.759"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample370" name="testThrottling" time="0.094"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample371" name="testRestrictedThrottling" time="0.146"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample372" name="testConcurrencyAndRateThrottling" time="0.098"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample380" name="testCustomMediator" time="0.098"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample390" name="testXQuery" time="0.312"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample391" name="testExternalXQuery" time="0.131"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample430" name="testCallOut" time="0.092"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample433" name="testCallOutDefinedEndpoint" time="0.084"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample434" name="testCallOutInlineEndpoint" time="0.091"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample450" name="testURLRewrite" time="0.083"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample451" name="testURLRewrite" time="0.121"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample470" name="testSpringBeanAsAMediator" time="0.21"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.mediation.Sample500" name="testCallMediator" time="0.093"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.template.Sample750" name="testXSLTTransformations" time="0.149"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.template.Sample751" name="testSplitAggregate" time="0.127"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample752" name="testLoadBalancingWithEndpointTemplates" time="0.626"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.rest.Sample800" name="testGetQuote" time="0.08"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.rest.Sample800" name="testPlaceOrder" time="1.069"/>
</testsuite>